Package org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenParser

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser
  - - org.acplt.oncrpc.apps.jrpcgen.JrpcgenParser

-     public class JrpcgenParser
      extends org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser

  CUP v0.10k TUM Edition 20050516 generated parser.
  Version:
    Fri Nov 11 20:53:50 CET 2005

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static short[][]` | `_action_table` | Parse-action table.
    `protected static short[][]` | `_production_table` | Production table.
    `protected static short[][]` | `_reduce_table` | `reduce_goto` table.
    `protected CUP$JrpcgenParser$actions` | `action_obj` | Instance of action encapsulation class.

    - ### Fields inherited from class org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser

      `_done_parsing, _error_sync_size, action_tab, cur_token, lookahead, lookahead_pos, production_tab, reduce_tab, stack, tos`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JrpcgenParser()` | Default constructor.
    `JrpcgenParser​(org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Scanner s)` | Constructor which sets the default scanner.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short[][]` | `action_table()` | Access to parse-action table.
    `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol` | `do_action​(int act_num, org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser parser, java.util.Stack stack, int top)` | Invoke a user supplied parse action.
    `int` | `EOF_sym()` | `EOF` Symbol index.
    `int` | `error_sym()` | `error` Symbol index.
    `protected void` | `init_actions()` | Action encapsulation object initializer.
    `short[][]` | `production_table()` | Access to production table.
    `short[][]` | `reduce_table()` | Access to `reduce_goto` table.
    `void` | `report_error​(java.lang.String message, int line)` |
    `void` | `report_error​(java.lang.String message, java.lang.Object info)` | Report a non fatal error (or warning).
    `void` | `report_fatal_error​(java.lang.String message, java.lang.Object info)` | Report a fatal error.
    `int` | `start_production()` | Indicates start production.
    `int` | `start_state()` | Indicates start state.
    `void` | `syntax_error​(org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol cur_token)` | This method is called when a syntax error has been detected and recovery is about to be invoked.

    - ### Methods inherited from class org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser

      `advance_lookahead, cur_err_token, debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, error_recovery, error_sync_size, find_recovery_config, get_action, get_reduce, getScanner, parse, parse_lookahead, read_lookahead, restart_lookahead, scan, setScanner, shift_under_error, try_parse_ahead, unpackFromStrings, unrecovered_syntax_error, user_init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _production_table

          protected static final short[][] _production_table

      Production table.

    - #### _action_table

          protected static final short[][] _action_table

      Parse-action table.

    - #### _reduce_table

          protected static final short[][] _reduce_table

      `reduce_goto` table.

    - #### action_obj

          protected CUP$JrpcgenParser$actions action_obj

      Instance of action encapsulation class.

  - ### Constructor Detail

    - #### JrpcgenParser

          public JrpcgenParser()

      Default constructor.

    - #### JrpcgenParser

          public JrpcgenParser​(org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Scanner s)

      Constructor which sets the default scanner.

  - ### Method Detail

    - #### production_table

          public short[][] production_table()

      Access to production table.
      Specified by:
        `production_table` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`

    - #### action_table

          public short[][] action_table()

      Access to parse-action table.
      Specified by:
        `action_table` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      See Also:
        `java_cup.runtime.lr_parser#get_action`

    - #### reduce_table

          public short[][] reduce_table()

      Access to `reduce_goto` table.
      Specified by:
        `reduce_table` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      See Also:
        `java_cup.runtime.lr_parser#get_reduce`

    - #### init_actions

          protected void init_actions()

      Action encapsulation object initializer.
      Specified by:
        `init_actions` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`

    - #### do_action

          public org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol do_action​(int act_num,
                                                                            org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser parser,
                                                                            java.util.Stack stack,
                                                                            int top)
                                                                     throws java.lang.Exception

      Invoke a user supplied parse action.
      Specified by:
        `do_action` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      Parameters:
        `act_num` - the internal index of the action to be performed.
        `parser` - the parser object we are acting for.
        `stack` - the parse stack of that object.
        `top` - the index of the top element of the parse stack.
      Throws:
        `java.lang.Exception`

    - #### start_state

          public int start_state()

      Indicates start state.
      Specified by:
        `start_state` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`

    - #### start_production

          public int start_production()

      Indicates start production.
      Specified by:
        `start_production` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`

    - #### EOF_sym

          public int EOF_sym()

      `EOF` Symbol index.
      Specified by:
        `EOF_sym` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`

    - #### error_sym

          public int error_sym()

      `error` Symbol index.
      Specified by:
        `error_sym` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`

    - #### report_error

          public void report_error​(java.lang.String message,
                                   java.lang.Object info)

      Description copied from class: `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      Report a non fatal error (or warning). This method takes a message string and an additional object (to be used by specializations implemented in subclasses). Here in the base class a very simple implementation is provided which simply prints the message to System.err.
      Overrides:
        `report_error` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      Parameters:
        `message` - an error message.
        `info` - an extra object reserved for use by specialized subclasses.

    - #### report_error

          public void report_error​(java.lang.String message,
                                   int line)

    - #### syntax_error

          public void syntax_error​(org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol cur_token)

      Description copied from class: `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      This method is called when a syntax error has been detected and recovery is about to be invoked. Here in the base class we just emit a "Syntax error" error message.
      Overrides:
        `syntax_error` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      Parameters:
        `cur_token` - the current lookahead Symbol.

    - #### report_fatal_error

          public void report_fatal_error​(java.lang.String message,
                                         java.lang.Object info)

      Description copied from class: `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      Report a fatal error. This method takes a message string and an additional object (to be used by specializations implemented in subclasses). Here in the base class a very simple implementation is provided which reports the error then throws an exception.
      Overrides:
        `report_fatal_error` in class `org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser`
      Parameters:
        `message` - an error message.
        `info` - an extra object reserved for use by specialized subclasses.